/// <reference types="cesium" />
/// <reference types="xbsj-renderer/dist-node/xr-cesium/__declares/__cesium" />
/// <reference types="xbsj-xe2/dist-node/xe2-cesium-objects/__declares/__cesium" />
/// <reference types="xbsj-renderer/dist-node/xr-cesium/fixcamera/fixcameraflight" />
import { Destroyable } from 'xbsj-renderer/dist-node/xr-base-utils';
import { KeyboardCameraController } from './KeyboardCameraController';
import { MouseCameraController } from './MouseCameraController';
import { ViewerInstance } from '../ViewerInstance';
export declare class FirstPersonController extends Destroyable {
    private _viewerInstance;
    get viewer(): import("cesium").Viewer;
    get czmViewer(): import("..").CzmViewer;
    private _mouseCameraController;
    get mouseCameraController(): MouseCameraController;
    get mouseEnabled(): boolean;
    set mouseEnabled(value: boolean);
    get mouseEnabledChanged(): import("xbsj-renderer/dist-node/xr-base-utils").Listener<[boolean, boolean]>;
    private _keyboardCameraController;
    get keyboardCameraController(): KeyboardCameraController;
    get keyboardEnabled(): boolean;
    set keyboardEnabled(value: boolean);
    get keyboardEnabledChanged(): import("xbsj-renderer/dist-node/xr-base-utils").Listener<[boolean, boolean]>;
    constructor(_viewerInstance: ViewerInstance);
}
